> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset details and available metrics

> Use this endpoint to retrieve detailed information about a specific asset, including the list of available metrics.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/assets/{asset_id}
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/assets/{asset_id}:
    get:
      tags:
        - Assets
      summary: Get asset details and available metrics
      description: >
        Use this endpoint to retrieve detailed information about a specific
        asset, including the list of available metrics.
      parameters:
        - name: asset_id
          in: path
          description: |
            ID of the asset

            Allows you to select one of the assets available.

            The full list is available on the assets endpoint (see above).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      asset_id:
                        type: string
                        description: Returns the ID of the asset.
                      asset_type:
                        type: string
                        nullable: true
                        description: The type of the asset.
                      name:
                        type: string
                        description: Returns the asset name.
                      symbol:
                        type: string
                        description: Returns the asset's ticker symbol.
                      coingecko_id:
                        type: string
                        nullable: true
                        description: Returns the Coingecko ID for the asset.
                      addresses:
                        type: array
                        description: >-
                          List of addresses where the asset exists across
                          different chains.
                        items:
                          type: object
                          properties:
                            chain_id:
                              type: string
                              nullable: true
                            token_address:
                              type: string
                              nullable: true
                            token_name:
                              type: string
                              nullable: true
                            token_symbol:
                              type: string
                              nullable: true
                      products:
                        type: array
                        description: List of products associated with this asset.
                        items:
                          type: object
                          properties:
                            data_id:
                              type: string
                            product_id:
                              type: string
                            tags:
                              type: array
                              items:
                                type: string
                            relation_to_the_project:
                              type: string
                              nullable: true
                            logo:
                              type: string
                              nullable: true
                      created_at:
                        type: string
                      inserted_at:
                        type: string
                      available_metrics:
                        type: array
                        description: >-
                          List of metric IDs that have data available for this
                          asset.
                        items:
                          type: string
        '404':
          description: Asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                  message:
                    type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````